Issue #9359 has been updated by Hiroshi SHIBATA.

Status changed from Open to Rejected

Ruby 2.0.0 was fixed at r41812. Ruby 1.9.3 was fixed at r42016.

Please use latest version of Ruby.

----------------------------------------
Bug #9359: indirect require of OpenSSL issues warning: assigned but unused variable - id
https://bugs.ruby-lang.org/issues/9359#change-49392

* Author: Shad Sterling
* Status: Rejected
* Priority: Normal
* Assignee: 
* Category: 
* Target version: 
* ruby -v: ruby 2.0.0p247 (2013-06-27) [x86_64-linux]
* Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: UNKNOWN
----------------------------------------
=begin
On OpenSUSE:

(({ruby1.9 -wU -e "require 'resolv'"}))   =>   (({/usr/lib64/ruby/1.9.1/openssl/ssl-internal.rb:91: warning: assigned but unused variable - id}))

(({ruby2.0 -wU -e "require 'resolv'"}))   =>   (({/usr/lib64/ruby/2.0.0/openssl/ssl.rb:101: warning: assigned but unused variable - id}))


Ruby 1.8.7 included with MacOS 10.7.5 is not affected, Ruby 2.0.0 in MacPorts is not affected.
=end




-- 
https://bugs.ruby-lang.org/